> ## Documentation Index
> Fetch the complete documentation index at: https://docs.seomator.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Remove a keyword



## OpenAPI

````yaml https://api.seomator.com/openapi.json delete /v1/projects/{id}/keywords/{keywordId}
openapi: 3.1.0
info:
  title: SEOmator API
  version: 0.1.0
servers:
  - url: https://api.seomator.com
security: []
paths:
  /v1/projects/{id}/keywords/{keywordId}:
    delete:
      tags:
        - ai visibility
      summary: Remove a keyword
      parameters:
        - schema:
            type: string
            description: Project id (proj_…) or slug (the domain with dots as dashes).
          required: true
          description: Project id (proj_…) or slug (the domain with dots as dashes).
          name: id
          in: path
        - schema:
            type: string
            description: Keyword id (kw_…).
          required: true
          description: Keyword id (kw_…).
          name: keywordId
          in: path
      responses:
        '204':
          description: Deleted
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '404':
          description: Not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
      security:
        - apiKey: []
components:
  schemas:
    Error:
      type: object
      properties:
        error:
          type: object
          properties:
            code:
              type: string
              enum:
                - bad_request
                - unauthorized
                - insufficient_credits
                - plan_limit
                - forbidden
                - not_found
                - conflict
                - rate_limit_exceeded
                - internal_server_error
                - service_unavailable
            message:
              type: string
            requestId:
              type: string
          required:
            - code
            - message
      required:
        - error
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: x-api-key

````

## Related topics

- [Add a keyword](https://docs.seomator.com/api-reference/ai-visibility/add-a-keyword.md)
- [List the project’s keywords](https://docs.seomator.com/api-reference/ai-visibility/list-the-project’s-keywords.md)
- [Find keywords and more competitors](https://docs.seomator.com/api-reference/ai-visibility/find-keywords-and-more-competitors.md)


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.